Last Comment Bug 776081 - telemetry for a11y updating time
: telemetry for a11y updating time
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla17
Assigned To: Trevor Saunders (:tbsaunde)
:
Mentors:
Depends on:
Blocks: telemetrya11y
  Show dependency treegraph
 
Reported: 2012-07-20 13:17 PDT by Trevor Saunders (:tbsaunde)
Modified: 2012-08-22 09:53 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.87 KB, patch)
2012-07-20 13:50 PDT, Trevor Saunders (:tbsaunde)
dbolter: review+
Details | Diff | Review
fix crazy c++ parsing issue (652 bytes, patch)
2012-07-26 14:09 PDT, Trevor Saunders (:tbsaunde)
nfroyd: review+
Details | Diff | Review

Description Trevor Saunders (:tbsaunde) 2012-07-20 13:17:07 PDT
I think the best thing to do is just measure how long NotificationController::WillRefresh() takes.
Comment 1 Trevor Saunders (:tbsaunde) 2012-07-20 13:50:26 PDT
Created attachment 644455 [details] [diff] [review]
patch
Comment 2 david.bolter@gmail.com 2012-07-20 14:00:59 PDT
Comment on attachment 644455 [details] [diff] [review]
patch

Review of attachment 644455 [details] [diff] [review]:
-----------------------------------------------------------------

i like it. might want to double check with nfroyd.
r=me
Comment 3 Trevor Saunders (:tbsaunde) 2012-07-20 17:58:21 PDT
pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/bd6a571ef321
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-07-21 06:21:31 PDT
https://hg.mozilla.org/mozilla-central/rev/bd6a571ef321
Comment 5 David Bolter [:davidb] 2012-07-26 10:57:09 PDT
Nathan when should we expect to see this hit pentaho?
Comment 6 Nathan Froyd [:froydnj] 2012-07-26 13:26:17 PDT
(In reply to David Bolter [:davidb] from comment #5)
> Nathan when should we expect to see this hit pentaho?

I would expect it to show up no later than tomorrow, assuming that you have people using the nightly and a11y with telemetry turned on.

...or at least I would if the code didn't have a bug.  This line:

+  Telemetry::AutoTimer<Telemetry::A11Y_UPDATE_TIME> updateTimer();

doesn't create a Telemetry::AutoTimer object called updateTimer, it declares a function called updateTimer that returns a Telemetry::AutoTimer.  You can check the disassembly and see.  So you're not actually measuring anything. :(
Comment 7 Trevor Saunders (:tbsaunde) 2012-07-26 14:06:13 PDT
(In reply to Nathan Froyd (:froydnj) from comment #6)
> (In reply to David Bolter [:davidb] from comment #5)
> > Nathan when should we expect to see this hit pentaho?
> 
> I would expect it to show up no later than tomorrow, assuming that you have
> people using the nightly and a11y with telemetry turned on.
> 
> ...or at least I would if the code didn't have a bug.  This line:
> 
> +  Telemetry::AutoTimer<Telemetry::A11Y_UPDATE_TIME> updateTimer();
> 
> doesn't create a Telemetry::AutoTimer object called updateTimer, it declares
> a function called updateTimer that returns a Telemetry::AutoTimer.  You can
> check the disassembly and see.  So you're not actually measuring anything. :(

yeah :( m(
Comment 8 Trevor Saunders (:tbsaunde) 2012-07-26 14:09:04 PDT
Created attachment 646328 [details] [diff] [review]
fix crazy c++ parsing issue
Comment 9 Trevor Saunders (:tbsaunde) 2012-07-27 21:49:08 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/b5b442d9c305
Comment 10 Ryan VanderMeulen [:RyanVM] 2012-07-28 18:34:11 PDT
https://hg.mozilla.org/mozilla-central/rev/b5b442d9c305
Comment 11 David Bolter [:davidb] 2012-08-21 08:42:36 PDT
Nathan, how are we supposed to use the histogram view usefully? What is the x axis showing?
Comment 12 Nathan Froyd [:froydnj] 2012-08-22 09:48:08 PDT
(In reply to David Bolter [:davidb] from comment #11)
> Nathan, how are we supposed to use the histogram view usefully? What is the
> x axis showing?

The x-axis shows the buckets of the histogram, with whatever units you're measuring (milliseconds, in this case).  So ~98% of the time, you're spending 0ms in the function.  Then you have a long tail of times, with slight spikes at 4 and 14ms.
Comment 13 David Bolter [:davidb] 2012-08-22 09:53:37 PDT
(In reply to Nathan Froyd (:froydnj) from comment #12)
> (In reply to David Bolter [:davidb] from comment #11)
> > Nathan, how are we supposed to use the histogram view usefully? What is the
> > x axis showing?
> 
> The x-axis shows the buckets of the histogram, with whatever units you're
> measuring (milliseconds, in this case).  So ~98% of the time, you're
> spending 0ms in the function.  Then you have a long tail of times, with
> slight spikes at 4 and 14ms.

Oh OK!

That's not a lot of milliseconds.

Note You need to log in before you can comment on or make changes to this bug.